# Called from: dragon/update
#---------------------------------------------------------------------------------------------------
# Purpose: Keep ambience dragons close to their target.
#---------------------------------------------------------------------------------------------------

# Save currently checked dragon
tag @s add current_dragon_fire
tag @s add go_to_target

# Check whether the nest is still in range
execute @e[family=flyingdragons.fire,r=30] ~ ~ ~ tag @e[tag=current_dragon_fire] remove go_to_target

# If outside of the range, forcibly go to the nest
execute @s[tag=go_to_target] ~ ~ ~ tp @s @e[family=flyingdragons.fire]

# Cleanup
tag @s remove current_dragon_fire
tag @s remove go_to_target